Subject: How to specify build arguments?

From: [email-masked] (Arthur Darren Dunham)
Date: 19 Sep 1996 21:37:17 GMT

I'm just about to build pine on three different architectures (Sun 4,
Solaris 2.5, and Irix 5.3).  I'm trying to specify make arguments to
build, but they don't really seem to work.

Specifically, under sun if I give
'./build CC=gcc sun'  It eventually runs 'echo cc > CCTYPE' and proceeds
to run using cc.  Similar attempts to specify debugging or Cflags also
fail. 

I also tried setting the environment variable CC, but that didn't work
either. 

It seems to me I'm going to have to modify more than one makefile for
each of the builds.  Is there any way around this?  I don't mind the
work, but it's terribly hard to maintain.

When >3.95 comes out, it's much easier to leave a note saying 'for our
systems try the command "build CC=gargle FOO=megaplex WHAT=ever sun"'
than it is to mention where and how to edit makefiles.

-- 
Darren Dunham                 		          [email-masked]
UNIX Sysadmin	                  		  Rice University
(This line currently in revision)	              Houston, TX
Any resemblance between real opinions and my post is coincidental